unit uchild;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeComma, TeEngine, ExtCtrls, TeeProcs, Chart;

type
  TfrChild = class(TForm)
    Chart1: TChart;
    TeeCommander1: TTeeCommander;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frChild: TfrChild;

implementation

{$R *.dfm}

uses Series;

procedure TfrChild.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

procedure TfrChild.FormCreate(Sender: TObject);
var i, nSeries: Integer;
begin
  nSeries:=30;
  Chart1.View3D:=false;

  for i:=0 to nSeries-1 do
    with Chart1.AddSeries(TLineSeries) do
    begin
      FillSampleValues;
      Color:=OperaPalette[i mod length(OperaPalette)];
    end;
end;

end.
